summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlon Bar-Lev <alonbl@gentoo.org>2019-01-27 00:01:34 +0200
committerAlon Bar-Lev <alonbl@gentoo.org>2019-01-27 00:02:06 +0200
commit9feb30212c0431e052e4ed5b9b22defd840ce2ef (patch)
treeea4c27b09925b602c78e06cf0af454768b8b42b5
parentapp-crypt/tpm-emulator: drop openssl support (diff)
downloadgentoo-9feb30212c0431e052e4ed5b9b22defd840ce2ef.tar.gz
gentoo-9feb30212c0431e052e4ed5b9b22defd840ce2ef.tar.bz2
gentoo-9feb30212c0431e052e4ed5b9b22defd840ce2ef.zip
net-libs/gnutls: version bump
Signed-off-by: Alon Bar-Lev <alonbl@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--net-libs/gnutls/Manifest1
-rw-r--r--net-libs/gnutls/gnutls-3.6.6.ebuild132
2 files changed, 133 insertions, 0 deletions
diff --git a/net-libs/gnutls/Manifest b/net-libs/gnutls/Manifest
index 9be31e459e2..370083c42eb 100644
--- a/net-libs/gnutls/Manifest
+++ b/net-libs/gnutls/Manifest
@@ -1,2 +1,3 @@
DIST gnutls-3.5.19.tar.xz 7239744 BLAKE2B c12578e79d3e96e1df7a5dc5f05fe9bc4bce4150f7440a73fda8e69d3f137a9ad1ace28b56e976bc319bd7be7305bf93af9c20087229e0b8fefee85b64e8261d SHA512 a78a59505e59c62ca671b34eacaeadcf070a943b12d964b7362962ba05636136638063491c37bb1883807014b8b6cf4f83f7d5b918ed02d5fbb52155679ce52f
DIST gnutls-3.6.5.tar.xz 8192888 BLAKE2B 1d305d49c461657b921a51e6c3577e8aea76ba2a4ecbb0ba165ca1f452560b691f12733e3b3ef6d1206096a7393a6fdd05bedb5d5653c7e18e14c5c2f5993de2 SHA512 127f053ce45c63cd745fa5a654a2d8e4fbc322f5e17dcc3740fb2e7b376dd18dad59318d66e6e93e37d6a179fca4b35cf2ae62d13be5645cd2d06badd79d4dce
+DIST gnutls-3.6.6.tar.xz 8257612 BLAKE2B 1b201eedcad7e4424cc6f53d21de5c8105fdea3f0bbc2ea1eceac6fed20a45ad8009fc0f4d9bd7c3e8e3a4cd261d6c32a180a273b22494c4b2f1982244bd4698 SHA512 4ff34f38d7dc543bc5750d8fdfe9be84af60c66e8d41da45f6cffc11d6c6c726784fd2d471b3416604ca1f3f9efb22ff7a290d5c92c96deda38df6ae3e794cc1
diff --git a/net-libs/gnutls/gnutls-3.6.6.ebuild b/net-libs/gnutls/gnutls-3.6.6.ebuild
new file mode 100644
index 00000000000..0e4f46b96b2
--- /dev/null
+++ b/net-libs/gnutls/gnutls-3.6.6.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit libtool multilib-minimal
+
+DESCRIPTION="A TLS 1.2 and SSL 3.0 implementation for the GNU project"
+HOMEPAGE="http://www.gnutls.org/"
+SRC_URI="mirror://gnupg/gnutls/v$(ver_cut 1-2)/${P}.tar.xz"
+
+LICENSE="GPL-3 LGPL-2.1"
+SLOT="0/30" # libgnutls.so number
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+cxx dane doc examples guile +idn nls +openssl pkcs11 seccomp sslv2 sslv3 static-libs test test-full +tls-heartbeat tools valgrind"
+
+REQUIRED_USE="
+ test-full? ( cxx dane doc examples guile idn nls openssl pkcs11 seccomp tls-heartbeat tools )"
+
+# NOTICE: sys-devel/autogen is required at runtime as we
+# use system libopts
+RDEPEND=">=dev-libs/libtasn1-4.9:=[${MULTILIB_USEDEP}]
+ dev-libs/libunistring:=[${MULTILIB_USEDEP}]
+ >=dev-libs/nettle-3.4.1:=[gmp,${MULTILIB_USEDEP}]
+ >=dev-libs/gmp-5.1.3-r1:=[${MULTILIB_USEDEP}]
+ tools? ( sys-devel/autogen:= )
+ dane? ( >=net-dns/unbound-1.4.20:=[${MULTILIB_USEDEP}] )
+ guile? ( >=dev-scheme/guile-2:=[networking] )
+ nls? ( >=virtual/libintl-0-r1:=[${MULTILIB_USEDEP}] )
+ pkcs11? ( >=app-crypt/p11-kit-0.23.1:=[${MULTILIB_USEDEP}] )
+ idn? ( >=net-dns/libidn2-0.16-r1:=[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+ test? (
+ seccomp? ( sys-libs/libseccomp )
+ )"
+BDEPEND=">=virtual/pkgconfig-0-r1
+ doc? ( dev-util/gtk-doc )
+ nls? ( sys-devel/gettext )
+ tools? ( sys-devel/autogen )
+ valgrind? ( dev-util/valgrind )
+ test-full? (
+ app-crypt/dieharder
+ >=app-misc/datefudge-1.22
+ dev-libs/softhsm:2[-bindist]
+ net-dialup/ppp
+ net-misc/socat
+ )"
+
+DOCS=(
+ README.md
+ doc/certtool.cfg
+)
+
+HTML_DOCS=()
+
+pkg_setup() {
+ # bug#520818
+ export TZ=UTC
+
+ use doc && HTML_DOCS+=(
+ doc/gnutls.html
+ )
+}
+
+src_prepare() {
+ default
+
+ # force regeneration of autogen-ed files
+ local file
+ for file in $(grep -l AutoGen-ed src/*.c) ; do
+ rm src/$(basename ${file} .c).{c,h} || die
+ done
+
+ # Use sane .so versioning on FreeBSD.
+ elibtoolize
+
+ # detect also guile-2.2, bug#673574
+ # aclocal/autoreconf will require more dependencies
+ # that we want to have
+ sed -i 's/\(_guile_versions_to_search="\)\(.*\)\("\)/\1\2 2.2\3/' configure || die
+}
+
+multilib_src_configure() {
+ LINGUAS="${LINGUAS//en/en@boldquot en@quot}"
+
+ # TPM needs to be tested before being enabled
+ libconf+=( --without-tpm )
+
+ # hardware-accell is disabled on OSX because the asm files force
+ # GNU-stack (as doesn't support that) and when that's removed ld
+ # complains about duplicate symbols
+ [[ ${CHOST} == *-darwin* ]] && libconf+=( --disable-hardware-acceleration )
+
+ # Cygwin as does not understand these asm files at all
+ [[ ${CHOST} == *-cygwin* ]] && libconf+=( --disable-hardware-acceleration )
+
+ ECONF_SOURCE=${S} econf \
+ $(multilib_native_enable manpages) \
+ $(multilib_native_use_enable doc gtk-doc) \
+ $(multilib_native_use_enable doc) \
+ $(multilib_native_use_enable guile) \
+ $(multilib_native_use_enable seccomp seccomp-tests) \
+ $(multilib_native_use_enable test tests) \
+ $(multilib_native_use_enable test-full full-test-suite) \
+ $(multilib_native_use_enable tools) \
+ $(multilib_native_use_enable valgrind valgrind-tests) \
+ $(use_enable cxx) \
+ $(use_enable dane libdane) \
+ $(use_enable nls) \
+ $(use_enable openssl openssl-compatibility) \
+ $(use_enable sslv2 ssl2-support) \
+ $(use_enable sslv3 ssl3-support) \
+ $(use_enable static-libs static) \
+ $(use_enable tls-heartbeat heartbeat-support) \
+ $(use_with idn) \
+ $(use_with pkcs11 p11-kit) \
+ --disable-rpath \
+ --with-unbound-root-key-file="${EPREFIX}/etc/dnssec/root-anchors.txt" \
+ --without-included-libtasn1 \
+ "${libconf[@]}" \
+ $("${S}/configure" --help | grep -- '--without-.*-prefix' | sed -e 's/^ *\([^ ]*\) .*/\1/g')
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${D}" -name '*.la' -delete || die
+
+ if use examples; then
+ docinto examples
+ dodoc doc/examples/*.c
+ fi
+}